﻿@page "/state"

@using NextHotel.BlazorApp.Pages.State

<h3>State List</h3>

<div class="row">
    <div class="col-12">
        <a href="state/create">
            Create <span class="oi oi-arrow-right" aria-hidden="true"></span>
        </a>
    </div>
</div>

<DataGrid Items="States" Context="state">
    <TableHeader>
        <tr>
            <th>
                ID
            </th>
            <th>
                Name
            </th>
            <th>
                Country Name
            </th>
            @*<th colspan="2">
                Action
            </th>*@
        </tr>
    </TableHeader>
    <RowTemplate>
        <tr>
            <td>@state.StateId</td>
            <td>@state.StateName</td>
            <td>@state.CountryName</td>
            @*<td>
                <NHModalButton Title="Edit">
                    <ButtonComponent>
                        Edit
                    </ButtonComponent>
                    <ModalBody>
                        <Edit CountryId="@country.CountryId"
                              OnAfterSubmit="GetStateAsync">
                        </Edit>
                    </ModalBody>
                </NHModalButton>
            </td>
            <td>
                <NHModalButton Title="Delete" ButtonClasses="btn btn-danger">
                    <ButtonComponent>
                        Delete
                    </ButtonComponent>
                    <ModalBody>
                        <Delete CountryId="@country.CountryId"
                                AfterDelete="GetCountriesAsync">
                        </Delete>
                    </ModalBody>
                </NHModalButton>
            </td>*@
        </tr>
    </RowTemplate>
</DataGrid>